# Git hooks for enforcing various policies

## Setup

````
gem install 'sentia_git_hooks'
````

For each project you want to enforce this for run the following in the directory

````
sentia_git_hooks
````

## How to use

````
==============================================
    Enforcing Sentia Commit Message Policy
==============================================
Fall in line soldier, correct commit format is

     <id or ids> - Summary Message
o    <newline>
p    <Specific Message>
t    <Specific Message>
i    <Specific Message>
o    <Specific Message>
n    <Specific Message>
a    <Specific Message>
l    <Specific Message>

 where

   id = trello card/tracker issue id/number

 eg

   456 - Fix user.company nilclass issue with NullCompany

 or

   123 - Add archive post action

   Add POST posts#archive action
   Add GET posts#archived action
   Add 'Archive' button to /posts/:id/edit page
   Add hide archived posts from GET /posts
   Add GET /posts/archived route and << views,
     view styling is changed to make it obvious that
     the post is archived
````
