# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sentia_git_hooks/version'

Gem::Specification.new do |spec|
  spec.name          = "sentia_git_hooks"
  spec.version       = SentiaGitHooks::VERSION
  spec.authors       = ["Sia. S."]
  spec.email         = ["sia.s.saj@gmail.com"]

  spec.summary       = "Some git hooks for Sentia"
  spec.description   = ""
  spec.homepage      = "http://github.com/Sentia/git-hooks"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = ["sentia_git_hooks"]
  spec.require_paths = ["lib"]

  spec.add_dependency "thor"

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "fakefs"

end
